# Code list

You can filter your search results using the `fq` parameter and one or more of the `local_type` listed in the table below.

For example:

{% code overflow="wrap" %}

```uri
https://api.os.uk/search/names/v1/find?query=Glasgow&fq=LOCAL_TYPE:City%20LOCAL_TYPE:Bay&key=
```

{% endcode %}

| local\_type                                      | Type               |
| ------------------------------------------------ | ------------------ |
| `Airfield`                                       | `transportNetwork` |
| `Airport`                                        | `transportNetwork` |
| `Bay`                                            | `hydrography`      |
| `Beach`                                          | `landcover`        |
| `Bus_Station`                                    | `transportNetwork` |
| `Channel`                                        | `hydrography`      |
| `Chemical_Works`                                 | `other`            |
| `Cirque_Or_Hollow`                               | `landform`         |
| `City`                                           | `populatedPlace`   |
| `Cliff_Or_Slope`                                 | `landform`         |
| `Coach_Station`                                  | `transportNetwork` |
| `Coastal_Headland`                               | `landform`         |
| `Electricity_Distribution`                       | `other`            |
| `Electricity_Production`                         | `other`            |
| `Estuary`                                        | `hydrography`      |
| `Further_Education`                              | `other`            |
| `Gas_Distribution_or_Storage`                    | `other`            |
| `Group_Of_Islands`                               | `landform`         |
| `Hamlet`                                         | `populatedPlace`   |
| `Harbour`                                        | `transportNetwork` |
| `Helicopter_Station`                             | `transportNetwork` |
| `Heliport`                                       | `transportNetwork` |
| `Higher_or_University_Education`                 | `other`            |
| `Hill_Or_Mountain`                               | `landform`         |
| `Hill_Or_Mountain_Ranges`                        | `landform`         |
| `Hospice`                                        | `other`            |
| `Hospital`                                       | `other`            |
| `Inland_Water`                                   | `hydrography`      |
| `Island`                                         | `landform`         |
| `Medical_Care_Accommodation`                     | `other`            |
| `Named_Road`                                     | `transportNetwork` |
| `Non_State_Primary_Education`                    | `other`            |
| `Non_State_Secondary_Education`                  | `other`            |
| `Numbered_Road`                                  | `transportNetwork` |
| `Oil_Distribution_or_Storage`                    | `other`            |
| `Oil_Refining`                                   | `other`            |
| `Oil_Terminal`                                   | `other`            |
| `Other_Coastal_Landform`                         | `landform`         |
| `Other_Landcover`                                | `landcover`        |
| `Other_Landform`                                 | `landform`         |
| `Other_Settlement`                               | `populatedPlace`   |
| `Passenger_Ferry_Terminal`                       | `transportNetwork` |
| `Port_Consisting_of_Docks_and_Nautical_Berthing` | `transportNetwork` |
| `Postcode`                                       | `other`            |
| `Primary_Education`                              | `other`            |
| `Railway`                                        | `transportNetwork` |
| `Railway_Station`                                | `transportNetwork` |
| `Road_User_Services`                             | `transportNetwork` |
| `Sea`                                            | `hydrography`      |
| `Secondary_Education`                            | `other`            |
| `Section_Of_Named_Road`                          | `transportNetwork` |
| `Section_Of_Numbered_Road`                       | `transportNetwork` |
| `Special_Needs_Education`                        | `other`            |
| `Spot_Height`                                    | `landform`         |
| `Suburban_Area`                                  | `populatedPlace`   |
| `Tidal_Water`                                    | `hydrography`      |
| `Train`                                          | `populatedPlace`   |
| `Tramway`                                        | `transportNetwork` |
| `Urban_Greenspace`                               | `landcover`        |
| `Valley`                                         | `landform`         |
| `Vehicular_Ferry_Terminal`                       | `transportNetwork` |
| `Vehicular_Rail_Terminal`                        | `transportNetwork` |
| `Village`                                        | `populatedPlace`   |
| `Waterfall`                                      | `hydrography`      |
| `Wetland`                                        | `landcover`        |
| `Woodland_Or_Forest`                             | `landcover`        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-names-api/code-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
